<!-------------------------------------------------------------------------------------------------
  - #%L                                                                                           -
  - chvote-pact                                                                                   -
  - %%                                                                                            -
  - Copyright (C) 2016 - 2018 République et Canton de Genève                                      -
  - %%                                                                                            -
  - This program is free software: you can redistribute it and/or modify                          -
  - it under the terms of the GNU Affero General Public License as published by                   -
  - the Free Software Foundation, either version 3 of the License, or                             -
  - (at your option) any later version.                                                           -
  -                                                                                               -
  - This program is distributed in the hope that it will be useful,                               -
  - but WITHOUT ANY WARRANTY; without even the implied warranty of                                -
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                  -
  - GNU General Public License for more details.                                                  -
  -                                                                                               -
  - You should have received a copy of the GNU Affero General Public License                      -
  - along with this program. If not, see <http://www.gnu.org/licenses/>.                          -
  - #L%                                                                                           -
  ------------------------------------------------------------------------------------------------->

<div class="action-row action-detail-main-row">
  <div class="action-column">
    <div class="action-row action-detail-title-row" *ngIf="i18nTitleLabel">
      <h2>{{ i18nLabel + '.detail.content.' + i18nTitleLabel | translate }}</h2>
    </div>
    <div class="action-row">
      <div class="action-cell" *ngFor="let label of labels">
        <div class="readonly-label">
          {{ i18nLabel + '.fieldNames.' + label | translate }}
        </div>
        <pact-action-detail-value [ngClass]="['readonly-value', 'action-cell-' + label]"
                                  [action]="action[label]">
        </pact-action-detail-value>
      </div>
    </div>
  </div>
</div>
